#ifndef SERVERSETTINGS_H
#define SERVERSETTINGS_H
#include <QLineEdit>
#include <QComboBox>
#include <QLabel>
#include <QToolButton>
#include "settings/abstractsettings.h"
class ServerSettings : public AbstractSettings
{
Q_OBJECT
public:
    explicit ServerSettings(QWidget *parent = 0);

signals:

public slots:
void save();
void load();
void driverChanged();
void loadSqliteFile();

private:
QLabel * mLogoLabel;
QLineEdit * mHostEdit;
QLineEdit * mDatabaseNameEdit;
QComboBox * mComboBox;
 QToolButton * mBrowseSqliteBtn;
};

#endif // SERVERSETTINGS_H
